## fonts-smiley-sans 2.0.1

=== requirements.txt ===
brotli
fontmake
fonttools

## fonts-smiley-sans 1.0.0

=== debian/changelog ===
fonts-smiley-sans (1.0.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 30 Dec 2022 13:40:25 -0500

fonts-smiley-sans (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1024968)

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Nov 2022 17:07:50 -0500

=== debian/control ===
Source: fonts-smiley-sans
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 fontmake,
 fonttools,
 python3,
 glyphspkg,
Standards-Version: 4.6.1
Homepage: https://atelier-anchor.com/typefaces/smiley-sans/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smiley-sans.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smiley-sans

Package: fonts-smiley-sans
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Condensed and oblique Chinese typeface
 Smiley Sans, or De Yi Hei ("得意黑") in Chinese, is a condensed and
 oblique Chinese typeface seeking a visual balance between the humanist
 and the geometric.
 .
 The font is generally designed for artistic design, and not suitable
 for desktop display and UI usage.
 .
 This package provides TTF fonts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	bash ./build.sh

## fonts-smiley-sans 1.1.1

=== debian/changelog ===
fonts-smiley-sans (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Jan 2023 20:55:24 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  fonttools,
  python3,
  glyphspkg,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://atelier-anchor.com/typefaces/smiley-sans/
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smiley-sans.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smiley-sans

## fonts-smiley-sans 2.0.1

=== debian/changelog ===
fonts-smiley-sans (2.0.1-2) unstable; urgency=medium

  * debian/control: Remove build-dep on glyphspkg.
  * debian/patches/0001-build.sh-Fix-build-with-fonttools-workflow.patch:
    Do not use glyphspkg anymore.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Feb 2025 13:26:57 -0500

fonts-smiley-sans (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Feb 2024 09:26:42 -0500

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 override_dh_auto_build:
 	bash ./build.sh
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,dversionmangle=auto" \
 https://github.com/atelier-anchor/smiley-sans/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## fonts-smiley-sans 2.1.0

=== debian/changelog ===
fonts-smiley-sans (2.1.0-0deepin) stable; urgency=medium

  * Update the package version to 2.1.0 

 -- Aninana <kamizotoayaka@163.com>  Thu, 29 Feb 2024 17:22:36 +0800

fonts-smiley-sans (1.1.1-0deepin) stable; urgency=medium

  * new package

 -- xiangzelong <xiangzelong@deepin.org>  Fri, 24 Mar 2023 13:36:24 +0800

=== debian/control ===
Source:fonts-smiley-sans
Priority: optional
Section: fonts
Maintainer: xiangzelong <xiangzelong@deepin.org>
Build-Depends: debhelper-compat (=13),
Standards-Version: 4.6.2
Homepage: https://www.deepin.org
Vcs-Browser: https://github.com/deepin-community/fonts-smiley-sans


Package: fonts-smiley-sans
Architecture: all
Depends: ${misc:Depends}
Description: Smiley Sans font
 Smiley Sans is a Chinese sans serif font that seeks a balance between humanistic and geometric features
